Get Vx Rail Manager

Get Vx Rail Manager
Get a VxRail Manager

Get a VxRail Manager

Request
URI
GET
https://{api_host}/v1/vxrail-managers/{fqdn}
COPY
Path Parameters
string
fqdn
Required

fqdn


Responses
200

Ok

Returns VxRailManager of type(s) application/json
{
    "id": "string",
    "fqdn": "string",
    "ipAddress": "string",
    "domain": {
        "id": "string",
        "name": "string",
        "type": "string"
    },
    "vcenter": {
        "id": "string",
        "fqdn": "string",
        "vcInstanceId": "string"
    },
    "cluster": {
        "id": "string",
        "name": "string"
    },
    "name": "string",
    "status": "string",
    "version": "string"
}
string
id
Read-Only

ID of the VxRailManager

string
fqdn
Read-Only

FQDN of the VxRailManager

string
ipAddress
Read-Only

IP address of the VxRailManager

object
domain
Read-Only

Represents a domain reference

object
vcenter
Optional

Represents a vCenter reference

object
cluster
Read-Only

Represents a reference to the cluster

string
name
Read-Only

Name of the VxRailManager Appliance VM

string
status
Read-Only

Operational status of VxRailManager

string
version
Read-Only

Version of the VxRailManager


404

Resource not found

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string"
        }
    ],
    "referenceToken": "string"
}
string
errorCode
Read-Only

The minor error code

string
errorType
Read-Only

The error type

array of string
arguments
Read-Only

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only

The error context (e.g. the component where it occurred).

string
message
Read-Only

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.


500

InternalServerError

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only

The minor error code

string
errorType
Read-Only

The error type

array of string
arguments
Read-Only

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only

The error context (e.g. the component where it occurred).

string
message
Read-Only

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/vxrail-managers/{fqdn}